## org.eclipse.ocl.expressions
Interface ExpressionsPackage.Literals

Enclosing interface:
  ExpressionsPackage

    public static interface ExpressionsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ASSOCIATION_CLASS_CALL_EXP` The meta object literal for the '`Association Class Call Exp`' class
`static EReference` `ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS` The meta object literal for the 'Referred Association Class' reference feature
`static EClass` `BOOLEAN_LITERAL_EXP` The meta object literal for the '`Boolean Literal Exp`' class
`static EAttribute` `BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL` The meta object literal for the 'Boolean Symbol' attribute feature
`static EClass` `CALL_EXP` The meta object literal for the '`Call Exp`' class
`static EReference` `CALL_EXP__SOURCE` The meta object literal for the 'Source' containment reference feature
`static EClass` `COLLECTION_ITEM` The meta object literal for the '`Collection Item`' class
`static EReference` `COLLECTION_ITEM__ITEM` The meta object literal for the 'Item' containment reference feature
`static EEnum` `COLLECTION_KIND` The meta object literal for the '`Collection Kind`' enum
`static EClass` `COLLECTION_LITERAL_EXP` The meta object literal for the '`Collection Literal Exp`' class
`static EAttribute` `COLLECTION_LITERAL_EXP__KIND` The meta object literal for the 'Kind' attribute feature
`static EReference` `COLLECTION_LITERAL_EXP__PART` The meta object literal for the 'Part' containment reference list feature
`static EAttribute` `COLLECTION_LITERAL_EXP__SIMPLE_RANGE` The meta object literal for the 'Simple Range' attribute feature
`static EClass` `COLLECTION_LITERAL_PART` The meta object literal for the '`Collection Literal Part`' class
`static EClass` `COLLECTION_RANGE` The meta object literal for the '`Collection Range`' class
`static EReference` `COLLECTION_RANGE__FIRST` The meta object literal for the 'First' containment reference feature
`static EReference` `COLLECTION_RANGE__LAST` The meta object literal for the 'Last' containment reference feature
`static EClass` `ENUM_LITERAL_EXP` The meta object literal for the '`Enum Literal Exp`' class
`static EReference` `ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL` The meta object literal for the 'Referred Enum Literal' reference feature
`static EClass` `FEATURE_CALL_EXP` The meta object literal for the '`Feature Call Exp`' class
`static EAttribute` `FEATURE_CALL_EXP__MARKED_PRE` The meta object literal for the 'Marked Pre' attribute feature
`static EClass` `IF_EXP` The meta object literal for the '`If Exp`' class
`static EReference` `IF_EXP__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static EReference` `IF_EXP__ELSE_EXPRESSION` The meta object literal for the 'Else Expression' containment reference feature
`static EReference` `IF_EXP__THEN_EXPRESSION` The meta object literal for the 'Then Expression' containment reference feature
`static EClass` `INTEGER_LITERAL_EXP` The meta object literal for the '`Integer Literal Exp`' class
`static EAttribute` `INTEGER_LITERAL_EXP__INTEGER_SYMBOL` The meta object literal for the 'Integer Symbol' attribute feature
`static EClass` `INVALID_LITERAL_EXP` The meta object literal for the '`Invalid Literal Exp`' class
`static EClass` `ITERATE_EXP` The meta object literal for the '`Iterate Exp`' class
`static EReference` `ITERATE_EXP__RESULT` The meta object literal for the 'Result' containment reference feature
`static EClass` `ITERATOR_EXP` The meta object literal for the '`Iterator Exp`' class
`static EClass` `LET_EXP` The meta object literal for the '`Let Exp`' class
`static EReference` `LET_EXP__IN` The meta object literal for the 'In' containment reference feature
`static EReference` `LET_EXP__VARIABLE` The meta object literal for the 'Variable' containment reference feature
`static EClass` `LITERAL_EXP` The meta object literal for the '`Literal Exp`' class
`static EClass` `LOOP_EXP` The meta object literal for the '`Loop Exp`' class
`static EReference` `LOOP_EXP__BODY` The meta object literal for the 'Body' containment reference feature
`static EReference` `LOOP_EXP__ITERATOR` The meta object literal for the 'Iterator' containment reference list feature
`static EClass` `MESSAGE_EXP` The meta object literal for the '`Message Exp`' class
`static EReference` `MESSAGE_EXP__ARGUMENT` The meta object literal for the 'Argument' containment reference list feature
`static EReference` `MESSAGE_EXP__CALLED_OPERATION` The meta object literal for the 'Called Operation' containment reference feature
`static EReference` `MESSAGE_EXP__SENT_SIGNAL` The meta object literal for the 'Sent Signal' containment reference feature
`static EReference` `MESSAGE_EXP__TARGET` The meta object literal for the 'Target' containment reference feature
`static EClass` `NAVIGATION_CALL_EXP` The meta object literal for the '`Navigation Call Exp`' class
`static EReference` `NAVIGATION_CALL_EXP__NAVIGATION_SOURCE` The meta object literal for the 'Navigation Source' reference feature
`static EReference` `NAVIGATION_CALL_EXP__QUALIFIER` The meta object literal for the 'Qualifier' containment reference list feature
`static EClass` `NULL_LITERAL_EXP` The meta object literal for the '`Null Literal Exp`' class
`static EClass` `NUMERIC_LITERAL_EXP` The meta object literal for the '`Numeric Literal Exp`' class
`static EClass` `OCL_EXPRESSION` The meta object literal for the '`OCL Expression`' class
`static EClass` `OPERATION_CALL_EXP` The meta object literal for the '`Operation Call Exp`' class
`static EReference` `OPERATION_CALL_EXP__ARGUMENT` The meta object literal for the 'Argument' containment reference list feature
`static EAttribute` `OPERATION_CALL_EXP__OPERATION_CODE` The meta object literal for the 'Operation Code' attribute feature
`static EReference` `OPERATION_CALL_EXP__REFERRED_OPERATION` The meta object literal for the 'Referred Operation' reference feature
`static EClass` `PRIMITIVE_LITERAL_EXP` The meta object literal for the '`Primitive Literal Exp`' class
`static EClass` `PROPERTY_CALL_EXP` The meta object literal for the '`Property Call Exp`' class
`static EReference` `PROPERTY_CALL_EXP__REFERRED_PROPERTY` The meta object literal for the 'Referred Property' reference feature
`static EClass` `REAL_LITERAL_EXP` The meta object literal for the '`Real Literal Exp`' class
`static EAttribute` `REAL_LITERAL_EXP__REAL_SYMBOL` The meta object literal for the 'Real Symbol' attribute feature
`static EClass` `STATE_EXP` The meta object literal for the '`State Exp`' class
`static EReference` `STATE_EXP__REFERRED_STATE` The meta object literal for the 'Referred State' reference feature
`static EClass` `STRING_LITERAL_EXP` The meta object literal for the '`String Literal Exp`' class
`static EAttribute` `STRING_LITERAL_EXP__STRING_SYMBOL` The meta object literal for the 'String Symbol' attribute feature
`static EClass` `TUPLE_LITERAL_EXP` The meta object literal for the '`Tuple Literal Exp`' class
`static EReference` `TUPLE_LITERAL_EXP__PART` The meta object literal for the 'Part' containment reference list feature
`static EClass` `TUPLE_LITERAL_PART` The meta object literal for the '`Tuple Literal Part`' class
`static EReference` `TUPLE_LITERAL_PART__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature
`static EReference` `TUPLE_LITERAL_PART__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `TYPE_EXP` The meta object literal for the '`Type Exp`' class
`static EReference` `TYPE_EXP__REFERRED_TYPE` The meta object literal for the 'Referred Type' reference feature
`static EClass` `UNLIMITED_NATURAL_LITERAL_EXP` The meta object literal for the '`Unlimited Natural Literal Exp`' class
`static EAttribute` `UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL` The meta object literal for the 'Integer Symbol' attribute feature
`static EAttribute` `UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED` The meta object literal for the 'Unlimited' attribute feature
`static EClass` `UNSPECIFIED_VALUE_EXP` The meta object literal for the '`Unspecified Value Exp`' class
`static EClass` `VARIABLE` The meta object literal for the '`Variable`' class
`static EReference` `VARIABLE__INIT_EXPRESSION` The meta object literal for the 'Init Expression' containment reference feature
`static EReference` `VARIABLE__REPRESENTED_PARAMETER` The meta object literal for the 'Represented Parameter' reference feature
`static EClass` `VARIABLE_EXP` The meta object literal for the '`Variable Exp`' class
`static EReference` `VARIABLE_EXP__REFERRED_VARIABLE` The meta object literal for the 'Referred Variable' reference feature

Field Detail

### ASSOCIATION_CLASS_CALL_EXP

    static final EClass ASSOCIATION_CLASS_CALL_EXP

  The meta object literal for the '`Association Class Call Exp`' class.

  See Also:
    `AssociationClassCallExpImpl`, `ExpressionsPackageImpl.getAssociationClassCallExp()`

### ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS

    static final EReference ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS

  The meta object literal for the 'Referred Association Class' reference feature.

### BOOLEAN_LITERAL_EXP

    static final EClass BOOLEAN_LITERAL_EXP

  The meta object literal for the '`Boolean Literal Exp`' class.

  See Also:
    `BooleanLiteralExpImpl`, `ExpressionsPackageImpl.getBooleanLiteralExp()`

### BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL

    static final EAttribute BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL

  The meta object literal for the 'Boolean Symbol' attribute feature.

### CALL_EXP

    static final EClass CALL_EXP

  The meta object literal for the '`Call Exp`' class.

  See Also:
    `CallExpImpl`, `ExpressionsPackageImpl.getCallExp()`

### CALL_EXP__SOURCE

    static final EReference CALL_EXP__SOURCE

  The meta object literal for the 'Source' containment reference feature.

### COLLECTION_ITEM

    static final EClass COLLECTION_ITEM

  The meta object literal for the '`Collection Item`' class.

  See Also:
    `CollectionItemImpl`, `ExpressionsPackageImpl.getCollectionItem()`

### COLLECTION_ITEM__ITEM

    static final EReference COLLECTION_ITEM__ITEM

  The meta object literal for the 'Item' containment reference feature.

### COLLECTION_LITERAL_EXP

    static final EClass COLLECTION_LITERAL_EXP

  The meta object literal for the '`Collection Literal Exp`' class.

  See Also:
    `CollectionLiteralExpImpl`, `ExpressionsPackageImpl.getCollectionLiteralExp()`

### COLLECTION_LITERAL_EXP__KIND

    static final EAttribute COLLECTION_LITERAL_EXP__KIND

  The meta object literal for the 'Kind' attribute feature.

### COLLECTION_LITERAL_EXP__PART

    static final EReference COLLECTION_LITERAL_EXP__PART

  The meta object literal for the 'Part' containment reference list feature.

### COLLECTION_LITERAL_EXP__SIMPLE_RANGE

    static final EAttribute COLLECTION_LITERAL_EXP__SIMPLE_RANGE

  The meta object literal for the 'Simple Range' attribute feature.

### COLLECTION_LITERAL_PART

    static final EClass COLLECTION_LITERAL_PART

  The meta object literal for the '`Collection Literal Part`' class.

  See Also:
    `CollectionLiteralPartImpl`, `ExpressionsPackageImpl.getCollectionLiteralPart()`

### COLLECTION_RANGE

    static final EClass COLLECTION_RANGE

  The meta object literal for the '`Collection Range`' class.

  See Also:
    `CollectionRangeImpl`, `ExpressionsPackageImpl.getCollectionRange()`

### COLLECTION_RANGE__FIRST

    static final EReference COLLECTION_RANGE__FIRST

  The meta object literal for the 'First' containment reference feature.

### COLLECTION_RANGE__LAST

    static final EReference COLLECTION_RANGE__LAST

  The meta object literal for the 'Last' containment reference feature.

### ENUM_LITERAL_EXP

    static final EClass ENUM_LITERAL_EXP

  The meta object literal for the '`Enum Literal Exp`' class.

  See Also:
    `EnumLiteralExpImpl`, `ExpressionsPackageImpl.getEnumLiteralExp()`

### ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL

    static final EReference ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL

  The meta object literal for the 'Referred Enum Literal' reference feature.

### FEATURE_CALL_EXP

    static final EClass FEATURE_CALL_EXP

  The meta object literal for the '`Feature Call Exp`' class.

  See Also:
    `FeatureCallExpImpl`, `ExpressionsPackageImpl.getFeatureCallExp()`

### FEATURE_CALL_EXP__MARKED_PRE

    static final EAttribute FEATURE_CALL_EXP__MARKED_PRE

  The meta object literal for the 'Marked Pre' attribute feature.

### IF_EXP

    static final EClass IF_EXP

  The meta object literal for the '`If Exp`' class.

  See Also:
    `IfExpImpl`, `ExpressionsPackageImpl.getIfExp()`

### IF_EXP__CONDITION

    static final EReference IF_EXP__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### IF_EXP__THEN_EXPRESSION

    static final EReference IF_EXP__THEN_EXPRESSION

  The meta object literal for the 'Then Expression' containment reference feature.

### IF_EXP__ELSE_EXPRESSION

    static final EReference IF_EXP__ELSE_EXPRESSION

  The meta object literal for the 'Else Expression' containment reference feature.

### INTEGER_LITERAL_EXP

    static final EClass INTEGER_LITERAL_EXP

  The meta object literal for the '`Integer Literal Exp`' class.

  See Also:
    `IntegerLiteralExpImpl`, `ExpressionsPackageImpl.getIntegerLiteralExp()`

### INTEGER_LITERAL_EXP__INTEGER_SYMBOL

    static final EAttribute INTEGER_LITERAL_EXP__INTEGER_SYMBOL

  The meta object literal for the 'Integer Symbol' attribute feature.

### UNLIMITED_NATURAL_LITERAL_EXP

    static final EClass UNLIMITED_NATURAL_LITERAL_EXP

  The meta object literal for the '`Unlimited Natural Literal Exp`' class.

  See Also:
    `UnlimitedNaturalLiteralExpImpl`, `ExpressionsPackageImpl.getUnlimitedNaturalLiteralExp()`

### UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL

    static final EAttribute UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL

  The meta object literal for the 'Integer Symbol' attribute feature.

### UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED

    static final EAttribute UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED

  The meta object literal for the 'Unlimited' attribute feature.

### INVALID_LITERAL_EXP

    static final EClass INVALID_LITERAL_EXP

  The meta object literal for the '`Invalid Literal Exp`' class.

  See Also:
    `InvalidLiteralExpImpl`, `ExpressionsPackageImpl.getInvalidLiteralExp()`

### ITERATE_EXP

    static final EClass ITERATE_EXP

  The meta object literal for the '`Iterate Exp`' class.

  See Also:
    `IterateExpImpl`, `ExpressionsPackageImpl.getIterateExp()`

### ITERATE_EXP__RESULT

    static final EReference ITERATE_EXP__RESULT

  The meta object literal for the 'Result' containment reference feature.

### ITERATOR_EXP

    static final EClass ITERATOR_EXP

  The meta object literal for the '`Iterator Exp`' class.

  See Also:
    `IteratorExpImpl`, `ExpressionsPackageImpl.getIteratorExp()`

### LET_EXP

    static final EClass LET_EXP

  The meta object literal for the '`Let Exp`' class.

  See Also:
    `LetExpImpl`, `ExpressionsPackageImpl.getLetExp()`

### LET_EXP__IN

    static final EReference LET_EXP__IN

  The meta object literal for the 'In' containment reference feature.

### LET_EXP__VARIABLE

    static final EReference LET_EXP__VARIABLE

  The meta object literal for the 'Variable' containment reference feature.

### LITERAL_EXP

    static final EClass LITERAL_EXP

  The meta object literal for the '`Literal Exp`' class.

  See Also:
    `LiteralExpImpl`, `ExpressionsPackageImpl.getLiteralExp()`

### LOOP_EXP

    static final EClass LOOP_EXP

  The meta object literal for the '`Loop Exp`' class.

  See Also:
    `LoopExpImpl`, `ExpressionsPackageImpl.getLoopExp()`

### LOOP_EXP__BODY

    static final EReference LOOP_EXP__BODY

  The meta object literal for the 'Body' containment reference feature.

### LOOP_EXP__ITERATOR

    static final EReference LOOP_EXP__ITERATOR

  The meta object literal for the 'Iterator' containment reference list feature.

### MESSAGE_EXP

    static final EClass MESSAGE_EXP

  The meta object literal for the '`Message Exp`' class.

  See Also:
    `MessageExpImpl`, `ExpressionsPackageImpl.getMessageExp()`

### MESSAGE_EXP__TARGET

    static final EReference MESSAGE_EXP__TARGET

  The meta object literal for the 'Target' containment reference feature.

### MESSAGE_EXP__ARGUMENT

    static final EReference MESSAGE_EXP__ARGUMENT

  The meta object literal for the 'Argument' containment reference list feature.

### MESSAGE_EXP__CALLED_OPERATION

    static final EReference MESSAGE_EXP__CALLED_OPERATION

  The meta object literal for the 'Called Operation' containment reference feature.

### MESSAGE_EXP__SENT_SIGNAL

    static final EReference MESSAGE_EXP__SENT_SIGNAL

  The meta object literal for the 'Sent Signal' containment reference feature.

### NAVIGATION_CALL_EXP

    static final EClass NAVIGATION_CALL_EXP

  The meta object literal for the '`Navigation Call Exp`' class.

  See Also:
    `NavigationCallExpImpl`, `ExpressionsPackageImpl.getNavigationCallExp()`

### NAVIGATION_CALL_EXP__QUALIFIER

    static final EReference NAVIGATION_CALL_EXP__QUALIFIER

  The meta object literal for the 'Qualifier' containment reference list feature.

### NAVIGATION_CALL_EXP__NAVIGATION_SOURCE

    static final EReference NAVIGATION_CALL_EXP__NAVIGATION_SOURCE

  The meta object literal for the 'Navigation Source' reference feature.

### NULL_LITERAL_EXP

    static final EClass NULL_LITERAL_EXP

  The meta object literal for the '`Null Literal Exp`' class.

  See Also:
    `NullLiteralExpImpl`, `ExpressionsPackageImpl.getNullLiteralExp()`

### NUMERIC_LITERAL_EXP

    static final EClass NUMERIC_LITERAL_EXP

  The meta object literal for the '`Numeric Literal Exp`' class.

  See Also:
    `NumericLiteralExpImpl`, `ExpressionsPackageImpl.getNumericLiteralExp()`

### OCL_EXPRESSION

    static final EClass OCL_EXPRESSION

  The meta object literal for the '`OCL Expression`' class.

  See Also:
    `OCLExpressionImpl`, `ExpressionsPackageImpl.getOCLExpression()`

### OPERATION_CALL_EXP

    static final EClass OPERATION_CALL_EXP

  The meta object literal for the '`Operation Call Exp`' class.

  See Also:
    `OperationCallExpImpl`, `ExpressionsPackageImpl.getOperationCallExp()`

### OPERATION_CALL_EXP__ARGUMENT

    static final EReference OPERATION_CALL_EXP__ARGUMENT

  The meta object literal for the 'Argument' containment reference list feature.

### OPERATION_CALL_EXP__REFERRED_OPERATION

    static final EReference OPERATION_CALL_EXP__REFERRED_OPERATION

  The meta object literal for the 'Referred Operation' reference feature.

### OPERATION_CALL_EXP__OPERATION_CODE

    static final EAttribute OPERATION_CALL_EXP__OPERATION_CODE

  The meta object literal for the 'Operation Code' attribute feature.

### PRIMITIVE_LITERAL_EXP

    static final EClass PRIMITIVE_LITERAL_EXP

  The meta object literal for the '`Primitive Literal Exp`' class.

  See Also:
    `PrimitiveLiteralExpImpl`, `ExpressionsPackageImpl.getPrimitiveLiteralExp()`

### PROPERTY_CALL_EXP

    static final EClass PROPERTY_CALL_EXP

  The meta object literal for the '`Property Call Exp`' class.

  See Also:
    `PropertyCallExpImpl`, `ExpressionsPackageImpl.getPropertyCallExp()`

### PROPERTY_CALL_EXP__REFERRED_PROPERTY

    static final EReference PROPERTY_CALL_EXP__REFERRED_PROPERTY

  The meta object literal for the 'Referred Property' reference feature.

### REAL_LITERAL_EXP

    static final EClass REAL_LITERAL_EXP

  The meta object literal for the '`Real Literal Exp`' class.

  See Also:
    `RealLiteralExpImpl`, `ExpressionsPackageImpl.getRealLiteralExp()`

### REAL_LITERAL_EXP__REAL_SYMBOL

    static final EAttribute REAL_LITERAL_EXP__REAL_SYMBOL

  The meta object literal for the 'Real Symbol' attribute feature.

### STATE_EXP

    static final EClass STATE_EXP

  The meta object literal for the '`State Exp`' class.

  See Also:
    `StateExpImpl`, `ExpressionsPackageImpl.getStateExp()`

### STATE_EXP__REFERRED_STATE

    static final EReference STATE_EXP__REFERRED_STATE

  The meta object literal for the 'Referred State' reference feature.

### STRING_LITERAL_EXP

    static final EClass STRING_LITERAL_EXP

  The meta object literal for the '`String Literal Exp`' class.

  See Also:
    `StringLiteralExpImpl`, `ExpressionsPackageImpl.getStringLiteralExp()`

### STRING_LITERAL_EXP__STRING_SYMBOL

    static final EAttribute STRING_LITERAL_EXP__STRING_SYMBOL

  The meta object literal for the 'String Symbol' attribute feature.

### TUPLE_LITERAL_EXP

    static final EClass TUPLE_LITERAL_EXP

  The meta object literal for the '`Tuple Literal Exp`' class.

  See Also:
    `TupleLiteralExpImpl`, `ExpressionsPackageImpl.getTupleLiteralExp()`

### TUPLE_LITERAL_EXP__PART

    static final EReference TUPLE_LITERAL_EXP__PART

  The meta object literal for the 'Part' containment reference list feature.

### TUPLE_LITERAL_PART

    static final EClass TUPLE_LITERAL_PART

  The meta object literal for the '`Tuple Literal Part`' class.

  See Also:
    `TupleLiteralPartImpl`, `ExpressionsPackageImpl.getTupleLiteralPart()`

### TUPLE_LITERAL_PART__VALUE

    static final EReference TUPLE_LITERAL_PART__VALUE

  The meta object literal for the 'Value' containment reference feature.

### TUPLE_LITERAL_PART__ATTRIBUTE

    static final EReference TUPLE_LITERAL_PART__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### TYPE_EXP

    static final EClass TYPE_EXP

  The meta object literal for the '`Type Exp`' class.

  See Also:
    `TypeExpImpl`, `ExpressionsPackageImpl.getTypeExp()`

### TYPE_EXP__REFERRED_TYPE

    static final EReference TYPE_EXP__REFERRED_TYPE

  The meta object literal for the 'Referred Type' reference feature.

### UNSPECIFIED_VALUE_EXP

    static final EClass UNSPECIFIED_VALUE_EXP

  The meta object literal for the '`Unspecified Value Exp`' class.

  See Also:
    `UnspecifiedValueExpImpl`, `ExpressionsPackageImpl.getUnspecifiedValueExp()`

### VARIABLE

    static final EClass VARIABLE

  The meta object literal for the '`Variable`' class.

  See Also:
    `VariableImpl`, `ExpressionsPackageImpl.getVariable()`

### VARIABLE__INIT_EXPRESSION

    static final EReference VARIABLE__INIT_EXPRESSION

  The meta object literal for the 'Init Expression' containment reference feature.

### VARIABLE__REPRESENTED_PARAMETER

    static final EReference VARIABLE__REPRESENTED_PARAMETER

  The meta object literal for the 'Represented Parameter' reference feature.

### VARIABLE_EXP

    static final EClass VARIABLE_EXP

  The meta object literal for the '`Variable Exp`' class.

  See Also:
    `VariableExpImpl`, `ExpressionsPackageImpl.getVariableExp()`

### VARIABLE_EXP__REFERRED_VARIABLE

    static final EReference VARIABLE_EXP__REFERRED_VARIABLE

  The meta object literal for the 'Referred Variable' reference feature.

### COLLECTION_KIND

    static final EEnum COLLECTION_KIND

  The meta object literal for the '`Collection Kind`' enum.

  See Also:
    `CollectionKind`, `ExpressionsPackageImpl.getCollectionKind()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.